AttributeCertificateIssuer (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert

## Class AttributeCertificateIssuer

- java.lang.Object
- - org.bouncycastle.cert.AttributeCertificateIssuer

- All Implemented Interfaces:
    java.lang.Cloneable, org.bouncycastle.util.Selector
  Direct Known Subclasses:
    JcaAttributeCertificateIssuer

      public class AttributeCertificateIssuer
      extends java.lang.Object
      implements org.bouncycastle.util.Selector

  Carrying class for an attribute certificate issuer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeCertificateIssuer(org.bouncycastle.asn1.x509.AttCertIssuer issuer)` Set the issuer directly with the ASN.1 structure.
    `AttributeCertificateIssuer(org.bouncycastle.asn1.x500.X500Name principal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `org.bouncycastle.asn1.x500.X500Name[]` | `getNames()`
    `int` | `hashCode()`
    `boolean` | `match(java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeCertificateIssuer

          public AttributeCertificateIssuer(org.bouncycastle.asn1.x509.AttCertIssuer issuer)

      Set the issuer directly with the ASN.1 structure.
      Parameters:
        `issuer` - The issuer

    - #### AttributeCertificateIssuer

          public AttributeCertificateIssuer(org.bouncycastle.asn1.x500.X500Name principal)

  - ### Method Detail

    - #### getNames

          public org.bouncycastle.asn1.x500.X500Name[] getNames()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `org.bouncycastle.util.Selector`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### match

          public boolean match(java.lang.Object obj)

      Specified by:
        `match` in interface `org.bouncycastle.util.Selector`